io.undertow.server.protocol.proxy

## Class ProxyProtocolOpenListener

- java.lang.Object
- - io.undertow.server.protocol.proxy.ProxyProtocolOpenListener

All Implemented Interfaces:
  EventListener, org.xnio.ChannelListener<org.xnio.StreamConnection>

    public class ProxyProtocolOpenListener
    extends Object
    implements org.xnio.ChannelListener<org.xnio.StreamConnection>

Open listener for proxied connections

Author:
  Stuart Douglas

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.xnio.ChannelListener

`org.xnio.ChannelListener.Setter<T extends Channel>, org.xnio.ChannelListener.SimpleSetter<T extends Channel>`

### Constructor Summary

Constructors
Constructor and Description
`ProxyProtocolOpenListener(OpenListener openListener, UndertowXnioSsl ssl, ByteBufferPool bufferPool, org.xnio.OptionMap sslOptionMap)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleEvent(org.xnio.StreamConnection streamConnection)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProxyProtocolOpenListener

    public ProxyProtocolOpenListener(OpenListener openListener,
                                     UndertowXnioSsl ssl,
                                     ByteBufferPool bufferPool,
                                     org.xnio.OptionMap sslOptionMap)

### Method Detail

#### handleEvent

    public void handleEvent(org.xnio.StreamConnection streamConnection)

Specified by:
  `handleEvent` in interface `org.xnio.ChannelListener<org.xnio.StreamConnection>`